apiVersion: kueue.x-k8s.io/v1beta2
kind: ResourceFlavor
metadata:
  name: default-flavor
---
apiVersion: kueue.x-k8s.io/v1beta2
kind: ClusterQueue
metadata:
  name: cluster-queue
spec:
  namespaceSelector: {} 
  resourceGroups:
  - coveredResources: ["cpu", "memory"]
    flavors:
    - name: default-flavor
      resources:
      - name: cpu
        nominalQuota: 5
      - name: memory
        nominalQuota: 5Gi
---
apiVersion: v1
kind: Namespace
metadata:
  name: test-job-bug
  # labels:
  #   kueue.openshift.io/managed: "true"
---
apiVersion: kueue.x-k8s.io/v1beta2
kind: LocalQueue
metadata:
  name: user-queue
  namespace: test-job-bug
spec:
  clusterQueue: cluster-queue